"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lisk_sdk_1 = require("lisk-sdk");
try {
    const { config } = require('./helpers/config');
    const { NETWORK } = config;
    const genesisBlock = require(`../config/${NETWORK}/genesis_block.json`);
    const app = new lisk_sdk_1.Application(genesisBlock, config);
    app
        .run()
        .then(() => app.logger.info('App started...'))
        .catch(error => {
        if (error instanceof Error) {
            app.logger.error('App stopped with error', error.message);
            app.logger.debug(error.stack);
        }
        else {
            app.logger.error('App stopped with error', error);
        }
        process.exit();
    });
}
catch (e) {
    console.error('Application start error.', e);
    process.exit();
}
//# sourceMappingURL=index.js.map