import { AccountJSON } from './types';
export declare const accountDefaultValues: {
    publicKey: undefined;
    balance: string;
    username: null;
    nonce: string;
    producedBlocks: number;
    fees: string;
    rewards: string;
    totalVotesReceived: string;
    votes: never[];
    unlocking: never[];
    delegate: {
        lastForgedHeight: number;
        consecutiveMissedBlocks: number;
        isBanned: boolean;
        pomHeights: never[];
    };
    asset: {};
    keys: {
        mandatoryKeys: never[];
        optionalKeys: never[];
        numberOfSignatures: number;
    };
    missedBlocks: number;
    isDelegate: number;
};
interface Vote {
    readonly delegateAddress: string;
    amount: bigint;
}
interface Unlocking {
    readonly delegateAddress: string;
    readonly amount: bigint;
    readonly unvoteHeight: number;
}
export declare class Account {
    address: string;
    balance: bigint;
    nonce: bigint;
    fees: bigint;
    rewards: bigint;
    producedBlocks: number;
    publicKey: string | undefined;
    totalVotesReceived: bigint;
    username: string | null;
    asset: object;
    votes: Vote[];
    unlocking: Unlocking[];
    delegate: {
        lastForgedHeight: number;
        consecutiveMissedBlocks: number;
        isBanned: boolean;
        pomHeights: number[];
    };
    keys: {
        mandatoryKeys: string[];
        optionalKeys: string[];
        numberOfSignatures: number;
    };
    missedBlocks: number;
    isDelegate: number;
    constructor(accountInfo: AccountJSON);
    static getDefaultAccount: (address: string) => Account;
    toJSON(): AccountJSON;
}
export {};
