"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.baseBlockSchema = {
    type: 'object',
    properties: {
        id: {
            type: 'string',
            format: 'id',
            minLength: 1,
            maxLength: 20,
        },
        height: {
            type: 'integer',
        },
        blockSignature: {
            type: 'string',
            format: 'signature',
        },
        generatorPublicKey: {
            type: 'string',
            format: 'publicKey',
        },
        numberOfTransactions: {
            type: 'integer',
        },
        payloadHash: {
            type: 'string',
            format: 'hex',
        },
        payloadLength: {
            type: 'integer',
        },
        previousBlockId: {
            type: 'string',
            format: 'id',
            minLength: 1,
            maxLength: 20,
        },
        timestamp: {
            type: 'integer',
        },
        totalAmount: {
            typeof: 'string',
            format: 'amount',
        },
        totalFee: {
            typeof: 'string',
            format: 'amount',
        },
        reward: {
            typeof: 'string',
            format: 'amount',
        },
        transactions: {
            type: 'array',
            uniqueItems: true,
        },
        version: {
            type: 'integer',
            minimum: 0,
        },
    },
    required: [
        'blockSignature',
        'generatorPublicKey',
        'numberOfTransactions',
        'payloadHash',
        'payloadLength',
        'timestamp',
        'totalAmount',
        'totalFee',
        'reward',
        'transactions',
        'version',
    ],
};
//# sourceMappingURL=schema.js.map