"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const SEC_IN_MS = 1000;
class Slots {
    constructor({ epochTime, interval }) {
        this._epochTime = new Date(epochTime);
        this._interval = interval;
    }
    getEpochTime() {
        return Math.floor((Date.now() - this._epochTime.getTime()) / SEC_IN_MS);
    }
    getRealTime(time) {
        return (Math.floor(this._epochTime.getTime() / SEC_IN_MS) * SEC_IN_MS +
            time * SEC_IN_MS);
    }
    getSlotNumber(epochTime) {
        const parsedEpochTime = epochTime === undefined ? this.getEpochTime() : epochTime;
        return Math.floor(parsedEpochTime / this._interval);
    }
    getSlotTime(slot) {
        return slot * this._interval;
    }
    getNextSlot() {
        const slot = this.getSlotNumber();
        return slot + 1;
    }
    isWithinTimeslot(slot, time) {
        return this.getSlotNumber(time) === slot;
    }
}
exports.Slots = Slots;
//# sourceMappingURL=slots.js.map