import { Account } from '../account';
import { AccountJSON, StorageEntity, StorageFilters, StorageTransaction } from '../types';
export declare class AccountStore {
    private readonly _account;
    private _data;
    private _originalData;
    private _updatedKeys;
    private _originalUpdatedKeys;
    private readonly _primaryKey;
    private readonly _name;
    constructor(accountEntity: StorageEntity<AccountJSON>);
    cache(filter: StorageFilters): Promise<ReadonlyArray<Account>>;
    createSnapshot(): void;
    restoreSnapshot(): void;
    get(primaryValue: string): Promise<Account>;
    getOrDefault(primaryValue: string): Promise<Account>;
    getUpdated(): ReadonlyArray<Account>;
    find(fn: (value: Account, index: number, obj: Account[]) => unknown): Account | undefined;
    set(primaryValue: string, updatedElement: Account): void;
    finalize(tx: StorageTransaction): Promise<void>;
}
