import { BlockHeader, ChainStateEntity, StorageTransaction } from '../types';
interface AdditionalInformation {
    readonly lastBlockHeader: BlockHeader;
    readonly networkIdentifier: string;
    readonly lastBlockReward: bigint;
}
export declare class ChainStateStore {
    private readonly _name;
    private _data;
    private _originalData;
    private _updatedKeys;
    private _originalUpdatedKeys;
    private readonly _chainState;
    private readonly _lastBlockHeader;
    private readonly _networkIdentifier;
    private readonly _lastBlockReward;
    constructor(chainStateEntity: ChainStateEntity, additionalInformation: AdditionalInformation);
    cache(): Promise<void>;
    get networkIdentifier(): string;
    get lastBlockHeader(): BlockHeader;
    get lastBlockReward(): bigint;
    createSnapshot(): void;
    restoreSnapshot(): void;
    get(key: string): Promise<string | undefined>;
    getOrDefault(): void;
    find(): void;
    set(key: string, value: string): void;
    finalize(tx: StorageTransaction): Promise<void>;
}
export {};
