import { BlockHeader, ConsensusStateEntity, StorageTransaction } from '../types';
interface AdditionalInformation {
    readonly lastBlockHeaders: ReadonlyArray<BlockHeader>;
}
export declare class ConsensusStateStore {
    private readonly _name;
    private _data;
    private _originalData;
    private _updatedKeys;
    private _originalUpdatedKeys;
    private readonly _lastBlockHeaders;
    private readonly _consensusState;
    constructor(consensusStateEntity: ConsensusStateEntity, additionalInformation: AdditionalInformation);
    get lastBlockHeaders(): ReadonlyArray<BlockHeader>;
    cache(): Promise<void>;
    createSnapshot(): void;
    restoreSnapshot(): void;
    get(key: string): Promise<string | undefined>;
    getOrDefault(): void;
    find(): void;
    set(key: string, value: string): void;
    finalize(tx: StorageTransaction): Promise<void>;
}
export {};
