import { BlockHeader, Storage, StorageTransaction } from '../types';
import { AccountStore } from './account_store';
import { ChainStateStore } from './chain_state_store';
import { ConsensusStateStore } from './consensus_state_store';
interface AdditionalInformation {
    readonly lastBlockHeaders: ReadonlyArray<BlockHeader>;
    readonly networkIdentifier: string;
    readonly lastBlockReward: bigint;
}
export declare class StateStore {
    readonly account: AccountStore;
    readonly chain: ChainStateStore;
    readonly consensus: ConsensusStateStore;
    constructor(storage: Storage, additionalInformation: AdditionalInformation);
    createSnapshot(): void;
    restoreSnapshot(): void;
    finalize(tx: StorageTransaction): Promise<void>;
}
export {};
