import { BaseTransaction, TransactionResponse } from '@liskhq/lisk-transactions';
import { StateStore } from '../state_store';
declare type TransactionAsyncFn = (transactions: ReadonlyArray<BaseTransaction>, stateStore: StateStore) => Promise<ReadonlyArray<TransactionResponse>>;
declare type TransactionSyncFn = (transactions: ReadonlyArray<BaseTransaction>) => ReadonlyArray<TransactionResponse>;
declare type TransactionFn = TransactionAsyncFn | TransactionSyncFn;
export declare const composeTransactionSteps: (...steps: readonly TransactionFn[]) => (transactions: readonly BaseTransaction[], stateStore?: StateStore | undefined) => Promise<readonly TransactionResponse[]>;
export {};
