import { BaseTransaction, Status as TransactionStatus, TransactionError, TransactionResponse } from '@liskhq/lisk-transactions';
import { DataAccess } from '../data_access';
import { StateStore } from '../state_store';
import { Contexter } from '../types';
export declare const validateTransactions: () => (transactions: readonly BaseTransaction[]) => readonly TransactionResponse[];
export declare const applyGenesisTransactions: () => (transactions: readonly BaseTransaction[], stateStore: StateStore) => Promise<TransactionResponse[]>;
export declare const applyTransactions: () => (transactions: readonly BaseTransaction[], stateStore: StateStore) => Promise<readonly TransactionResponse[]>;
export declare const checkPersistedTransactions: (dataAccess: DataAccess) => (transactions: readonly BaseTransaction[]) => Promise<{
    id: string;
    status: TransactionStatus;
    errors: TransactionError[];
}[]>;
export declare const checkAllowedTransactions: (contexter: Contexter) => (transactions: readonly BaseTransaction[]) => readonly TransactionResponse[];
export declare const undoTransactions: () => (transactions: readonly BaseTransaction[], stateStore: StateStore) => Promise<readonly TransactionResponse[]>;
