/// <reference types="node" />
import { EventEmitter } from 'events';
import { DelegatesList } from './delegates_list';
import { Rounds } from './rounds';
import { Block, Chain, DPoSProcessingOptions, StateStore } from './types';
interface DelegatesInfoConstructor {
    readonly chain: Chain;
    readonly rounds: Rounds;
    readonly activeDelegates: number;
    readonly standbyDelegates: number;
    readonly events: EventEmitter;
    readonly delegatesList: DelegatesList;
}
export declare class DelegatesInfo {
    private readonly chain;
    private readonly rounds;
    private readonly activeDelegates;
    private readonly standbyDelegates;
    private readonly events;
    private readonly delegatesList;
    constructor({ rounds, chain, activeDelegates, standbyDelegates, events, delegatesList, }: DelegatesInfoConstructor);
    apply(block: Block, stateStore: StateStore, { delegateListRoundOffset }: DPoSProcessingOptions): Promise<boolean>;
    undo(block: Block, stateStore: StateStore, { delegateListRoundOffset }: DPoSProcessingOptions): Promise<boolean>;
    private _update;
    private _updateMissedBlocks;
    private _isLastBlockOfTheRound;
}
export {};
