/// <reference types="node" />
import { BaseTransaction, StateStore, StateStorePrepare } from './base_transaction';
import { TransactionError } from './errors';
export interface Vote {
    readonly delegateAddress: string;
    readonly amount: bigint;
}
export interface VoteAsset {
    readonly votes: ReadonlyArray<Vote>;
}
export interface RawAssetVote {
    readonly delegateAddress: string;
    readonly amount: string;
}
export declare class VoteTransaction extends BaseTransaction {
    readonly asset: VoteAsset;
    static TYPE: number;
    constructor(rawTransaction: unknown);
    assetToJSON(): object;
    protected assetToBytes(): Buffer;
    prepare(store: StateStorePrepare): Promise<void>;
    protected validateAsset(): ReadonlyArray<TransactionError>;
    protected applyAsset(store: StateStore): Promise<ReadonlyArray<TransactionError>>;
    protected undoAsset(store: StateStore): Promise<ReadonlyArray<TransactionError>>;
}
