export declare const transactionInterface: {
    required: string[];
    properties: {
        toJSON: {
            typeof: string;
        };
        getBytes: {
            typeof: string;
        };
        validate: {
            typeof: string;
        };
        apply: {
            typeof: string;
        };
        undo: {
            typeof: string;
        };
        prepare: {
            typeof: string;
        };
        verifySignatures: {
            typeof: string;
        };
    };
};
export declare const baseTransaction: {
    $id: string;
    type: string;
    required: string[];
    properties: {
        blockId: {
            type: string;
            format: string;
        };
        height: {
            type: string;
            minimum: number;
        };
        confirmations: {
            type: string;
            minimum: number;
        };
        type: {
            type: string;
            minimum: number;
        };
        nonce: {
            type: string;
            format: string;
        };
        fee: {
            type: string;
            format: string;
        };
        senderPublicKey: {
            type: string;
            format: string;
        };
        signatures: {
            type: string;
            items: {
                oneOf: {
                    type: string;
                    format: string;
                }[];
            };
            minItems: number;
            maxItems: number;
        };
        asset: {
            type: string;
        };
        receivedAt: {
            type: string;
            format: string;
        };
    };
};
