import { TransactionJSON } from './transaction_types';
export interface TransferInputs {
    readonly amount: string;
    readonly fee: string;
    readonly nonce: string;
    readonly networkIdentifier: string;
    readonly data?: string;
    readonly recipientId?: string;
    readonly recipientPublicKey?: string;
    readonly senderPublicKey?: string;
    readonly passphrase?: string;
    readonly passphrases?: ReadonlyArray<string>;
    readonly keys?: {
        readonly mandatoryKeys: Array<Readonly<string>>;
        readonly optionalKeys: Array<Readonly<string>>;
    };
}
export declare const transfer: (inputs: TransferInputs) => Partial<TransactionJSON>;
