"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sortKeysAscending = (publicKeys) => publicKeys.sort((publicKeyA, publicKeyB) => {
    if (publicKeyA > publicKeyB) {
        return 1;
    }
    if (publicKeyA < publicKeyB) {
        return -1;
    }
    return 0;
});
exports.sortUnlocking = (unlockings) => {
    unlockings.sort((a, b) => {
        if (a.delegateAddress !== b.delegateAddress) {
            return a.delegateAddress.localeCompare(b.delegateAddress, 'en');
        }
        if (a.unvoteHeight !== b.unvoteHeight) {
            return b.unvoteHeight - a.unvoteHeight;
        }
        const diff = b.amount - a.amount;
        if (diff > BigInt(0)) {
            return 1;
        }
        if (diff < BigInt(0)) {
            return -1;
        }
        return 0;
    });
};
//# sourceMappingURL=sort.js.map