/// <reference types="node" />
import { TransactionError } from '../errors';
import { Account } from '../transaction_types';
export declare const verifySenderPublicKey: (id: string, sender: Account, publicKey: string) => TransactionError | undefined;
export declare const verifyMinRemainingBalance: (id: string, account: Account, minRemainingBalance: bigint) => TransactionError | undefined;
export declare const verifyAccountNonce: (id: string, account: Account, nonce: bigint) => TransactionError | undefined;
export declare const isMultisignatureAccount: (account: Account) => boolean;
export declare const validateKeysSignatures: (keys: readonly string[], signatures: readonly string[], transactionBytes: Buffer) => TransactionError[];
export declare const verifyMultiSignatureTransaction: (id: string, sender: Account, signatures: readonly string[], transactionBytes: Buffer) => TransactionError[];
